%define	upstream_name	 Exception-Class
%define upstream_version 1.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A module that allows you to declare real exception classes in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Data::Inheritable) >= 0.20.0
BuildRequires: perl(Devel::StackTrace) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl-Class-Data-Inheritable >= 0.02
Requires:   perl-Devel-StackTrace >= 0.9
%description
This module allows you to declare hierarchies of exception classes for use
in your code. It also provides a simple exception class that it uses as the
default base class for all other exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes LICENSE lib/Exception/Class.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Exception
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.450.0-3.mga10
+ Revision: 2207091
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.450.0-2.mga9
+ Revision: 1814424
- Mageia 9 Mass Rebuild

* Tue May 04 2021 tv <tv> 1.450.0-1.mga9
+ Revision: 1721199
- update to 1.45

* Wed Feb 12 2020 umeabot <umeabot> 1.440.0-3.mga8
+ Revision: 1504403
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.440.0-2.mga7
+ Revision: 1283634
- Mageia 7 Mass Rebuild

* Mon Dec 11 2017 tv <tv> 1.440.0-1.mga7
+ Revision: 1182172
- update to 1.44

* Sat Jul 22 2017 shlomif <shlomif> 1.430.0-1.mga7
+ Revision: 1128538
- update to 1.43

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-2.mga6
+ Revision: 1027036
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 1.400.0-1.mga6
+ Revision: 953355
- update to 1.40

* Sun Jun 28 2015 sander85 <sander85> 1.390.0-1.mga6
+ Revision: 846978
- update to 1.39

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 743142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-2.mga5
+ Revision: 684662
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.380.0-1.mga5
+ Revision: 620628
- update to 1.38

* Sat Oct 19 2013 umeabot <umeabot> 1.370.0-2.mga4
+ Revision: 525943
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.370.0-1.mga4
+ Revision: 435002
- update to 1.37

* Sun Jan 13 2013 umeabot <umeabot> 1.360.0-2.mga3
+ Revision: 366988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.360.0-1.mga3
+ Revision: 342152
- update to 1.36

* Wed Sep 26 2012 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 297976
- update to 1.35

* Mon Sep 17 2012 jquelin <jquelin> 1.340.0-1.mga3
+ Revision: 294979
- update to 1.34

* Fri Jan 21 2011 jquelin <jquelin> 1.320.0-2.mga1
+ Revision: 28529
- mageia rebuild
- imported package perl-Exception-Class


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.320.0-2mdv2011.0
+ Revision: 564734
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.320.0-1mdv2011.0
+ Revision: 552697
- update to 1.32

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.1
+ Revision: 526441
- update to 1.30

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.0-1mdv2010.0
+ Revision: 403161
- rebuild using %%perl_convert_version

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2010.0
+ Revision: 373749
- update to new version 1.29

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2010.0
+ Revision: 372881
- update to new version 1.28

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2010.0
+ Revision: 372108
- update to new version 1.27

* Wed Oct 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2009.1
+ Revision: 298160
- new version

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2009.1
+ Revision: 296794
- update to new version 1.25

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.24-2mdv2009.0
+ Revision: 268504
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 195407
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2008.0
+ Revision: 64796
- rebuild


* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22
- spec cleanup
- fix sources url
- better url
- better summary
- %%mkrel
- make test in %%check
- fix directory ownership

* Wed May 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.21-1mdk
- 1.21

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.20-1mdk
- 1.20
- Restore tests

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.19-1mdk
- 1.19
- wipe out buildroot in %%install, not %%prep
- use %%makeinstall_std macro
- drop test for now

* Wed Aug 27 2003 François Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.01-3mdk
- rebuild

